<script>
    function reproductor(direccion, portada, cancion, artista, external_cancion) {

    $('#portada').attr('src', '/portadas/' + portada);
    $('#player').attr('src', '/canciones/' + direccion);
    var titulo = artista + '-' + cancion;
    $('#titulo').val(titulo);
    document.getElementById('player').play();
    };</script>    

 <!-- ======= Header ======= -->
  <header id="header">
    <div class="d-flex flex-column">

      <div class="profile">
        <img src="/fotos_perfil/{{info.foto}}" alt="" class="img-fluid rounded-circle">
        <h1 class="text-light"><a href="index.html">{{info.nombres}} {{info.apellidos}}</a></h1>
        <div class="social-links mt-3 text-center">
          <a href="#" class="twitter"><i class="bx bxl-twitter"></i></a>
          <a href="#" class="facebook"><i class="bx bxl-facebook"></i></a>
          <a href="#" class="instagram"><i class="bx bxl-instagram"></i></a>
          <a href="#" class="google-plus"><i class="bx bxl-skype"></i></a>
          <a href="#" class="linkedin"><i class="bx bxl-linkedin"></i></a>
        </div>
      </div>

      <nav id="navbar" class="nav-menu navbar">
        <ul>
          <li><a href="/" class="nav-link scrollto active"><i class="bx bx-home"></i> <span>Inicio</span></a></li>
          <li><a href="/perfil" class="nav-link scrollto"><i class="bx bx-user"></i> <span>Perfil</span></a></li>
          <li><a href="/cancion" class="nav-link scrollto"><i class="bx bx-music"></i> <span>Mis Canciones</span></a></li>
          <li><a href="/album" class="nav-link scrollto"><i class="bx bx-album"></i> <span>Mis Albumes</span></a></li>
          <li><a href="/nuevas_canciones" class="nav-link scrollto"><i class="bx bx-comment-add"></i> <span>Nuevas Canciones</span></a></li>
          <li><a href="/top10" class="nav-link scrollto"><i class="bx bx-award"></i> <span>Top 10</span></a></li>
          {{#if normal}}
          <li><a href="/plan" class="nav-link scrollto"><i class="bx bx-cool"></i> <span>Premium</span></a></li>
          {{/if}}
          {{#if admin}}
          <li><a class="nav-link scrollto"><i class="bx bx-cctv"></i> <span>Administrar</span></a></li>
          <li><a href="/administrarUsuarios" class="nav-link scrollto"><i class="bx bxs-user"></i> <span>Administrar Usuarios</span></a></li>
          <li><a href="/administrarCanciones" class="nav-link scrollto"><i class="bx bxs-music"></i> <span>Administrar Canciones</span></a></li>
          {{/if}}
          <li><a href="/cerrar_sesion" class="nav-link scrollto"><i class="bx bx-log-out"></i> <span>Cerrar Sesión</span></a></li>
        </ul>
      </nav><!-- .nav-menu -->
    </div>
  </header><!-- End Header -->

<div class="content-main main-albums">

    <section class="content-section release-section extend">
        <header class="opacity">
            <h2 class="entry-header ">Descubre lo nuevo de...</h2>
        </header>
        <div class="wrap content-release opacity extend">
            <div class="container-fluid extend">
                <div class="row extend">

                    <span class="extend-col extend-left"></span>
                    <div class="release-playlist playlist " id="playlist">


                        <table class="table release">
                            <colgroup>
                                <col class="no">
                                <col>
                                <col>
                                <col>
                                <col>
                            </colgroup>

                            <thead>
                                <tr>
                                    <th colspan="2">Cancion</th>
                                    <th>Genero</th>
                                    <th>Artista</th>
                                    <th>Album</th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each info}}
                                <tr>
                                    <td><div onclick="reproductor('{{cancion.direccion}}','{{album.portada}}','{{cancion.nombre}}','{{artistum.nom_artista}}','{{cancion.external_id}}')" class="track play">{{@index}}</div></td>
                                    <td>{{cancion.nombre}}</td>
                                    <td>{{cancion.genero}}</td>
                                    <td>{{artistum.nom_artista}}</td>
                                    <td>{{album.nom_album}}</td>
                                    <td>
                                        <div class="btn-group" >
                                            <button type="button" class="btn btn-danger dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >
                                                <img class="imagen" src="/images/boton.png"  width="30" height="80">
                                            </button>
                                            <div class="dropdown-menu" style="background-color: #d9534f;">
                                                
                                                <div class="form-group">
                                                    <a class="dropdown-item" href="#">Añadir a Lista</a>
                                                    {{#each../lista}}
                                                    <form id='formulario' method="POST" action="/agregar_lista">
                                                        <input id="external_cancion" name="external_cancion" type="hidden" value="{{../cancion.id}}">
                                                        <input id="external_lista" name="external_lista" type="hidden" value="{{id}}">
                                                        <button type="submit" style="background-color: #d9534f; font-size: 1em;"><a class="dropdown-item">{{nom_lista}}</a> </button>
                                                    </form>
                                                    {{/each}}
                                                </div>
                                                <div class="form-group">
                                                    <a class="dropdown-item" href="/canciones/{{cancion.direccion}}" download="{{cancion.direccion}}">Descargar</a>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>    
                                {{/each}}
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </section>
</div>


<!-- ================================= START FOOTER === -->


<div class="footer footer-wrap opacity">
    <section class="player">
        <div class="row">
            <div class="col-lg-3 col-md-1 col-sm-1">

                <div class="jp-album">
                    <div class="row ">
                        <div class="col-lg-2 col-md-4 col-sm-1">
                            <div class="jp-cover" style="width: 80px;">
                                <img id='portada' src="/portadas/logon.png" style="width: 300px; height: 75px">
                            </div>
                        </div>
                        <div class="col-lg-10 col-md-8 col-sm-11" >
                            <div class="jp-title" style='margin-left: 50px;'>
                                <span class="now-playing">Reproduciendo ahora: </span>

                            </div>
                            <div class="col-lg-2 col-md-4 col-sm-1">

                            </div>
                            <div class="form-group">
                                <style>
                                    .titulo{text-decoration: none;}
                                </style>
                                <MARQUEE  WIDTH="80%" HEIGHT="40" ><input type="text" id='titulo'  class="titulo" value="Seleccione una canción"></MARQUEE>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-9 col-md-11 col-sm-11 nopadding">
                <div id="jpId"></div>
                <audio id="player" name="player"></audio>
                <div class="jp-audio">
                    <div class="jp-controls-wrap">
                        <div class="jp-controls" id="jp_controls">
                            <img src="/images/min.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').volume -= .1">
                            <img src="/images/play.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').play()">
                            <img src="/images/pause.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').pause()">
                            <img src="/images/stop.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').load()">
                            <img src="/images/max.png" class="imagen" width="70" height="200" onclick="document.getElementById('player').volume += .1">
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">

            </div>

            <!-- ================================= END FOOTER === -->      
